Get one of my support tickets
GET
/support/tickets/{number}
const url = 'https://example.com/support/tickets/1';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/support/tickets/1 \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>One of the signed-in person’s own tickets, with the messages they can see, oldest first, and the latest reply from Bottle support. Never staff notes. Reading it here does not mark the reply as read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”number
required
integer
Responses
Section titled “Responses”The ticket
Media typeapplication/json
object
ticket
required
object
number
required
integer
title
required
string
status
required
string
urgency
required
string
unread
required
boolean
openedAt
required
string format: date-time
updatedAt
required
string format: date-time
closedAt
required
string | null format: date-time
latestReply
required
object
from
required
object
kind
required
string
name
required
string
text
required
string
sentAt
required
string format: date-time
messages
required
Array<object>
object
from
required
object
kind
required
string
name
required
string
text
required
string
sentAt
required
string format: date-time
Example
{ "ticket": { "status": "new", "urgency": "stopping_work" }, "latestReply": { "from": { "kind": "customer" } }, "messages": [ { "from": { "kind": "customer" } } ]}Sign in required
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}An API key, or Bottle staff looking as the person
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such ticket of theirs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}The request names somebody or something it may not
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Bottle Support did not answer
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Bottle Support is not switched on
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}